<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Categories\Controllers\ActualCategoryPropertiesController;
use App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController;
use App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController;
use App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFieldsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFlagsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\ProductStatusesController;
use App\Http\ApiV1\Modules\Common\Controllers\BulkOperationsController;
use App\Http\ApiV1\Modules\Common\Controllers\FailedJobsController;
use App\Http\ApiV1\Modules\Imports\Controllers\ProductImportsController;
use App\Http\ApiV1\Modules\Imports\Controllers\ProductImportWarningsController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductEventsController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductGroupsController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductsController;
use App\Http\ApiV1\Modules\Products\Controllers\PublishedProductsController;
use App\Http\ApiV1\Modules\Support\Controllers\TempFilesController;
use Illuminate\Support\Facades\Route;

Route::post('classifiers/product-fields:search', [ProductFieldsController::class, 'search']);
Route::get('classifiers/product-fields/{id}', [ProductFieldsController::class, 'get']);
Route::patch('classifiers/product-fields/{id}', [ProductFieldsController::class, 'patch']);
Route::post('classifiers/product-flags:search', [ProductFlagsController::class, 'search']);
Route::get('classifiers/product-flags/{id}', [ProductFlagsController::class, 'get']);
Route::put('classifiers/product-flags/{id}', [ProductFlagsController::class, 'replace']);
Route::post('classifiers/product-statuses:next', [ProductStatusesController::class, 'getNext']);
Route::post('classifiers/product-statuses/{id}:set-previous', [ProductStatusesController::class, 'setPrevious']);
Route::post('classifiers/product-statuses:search', [ProductStatusesController::class, 'search']);
Route::post('classifiers/product-statuses', [ProductStatusesController::class, 'create']);
Route::get('classifiers/product-statuses/{id}', [ProductStatusesController::class, 'get']);
Route::delete('classifiers/product-statuses/{id}', [ProductStatusesController::class, 'delete']);
Route::patch('classifiers/product-statuses/{id}', [ProductStatusesController::class, 'patch']);
Route::post('products/products:search', [ProductsController::class, 'search']);
Route::post('products/products:preload-image', [ProductsController::class, 'preloadImage']);
Route::post('products/products', [ProductsController::class, 'create']);
Route::post('products/products:mass-delete', [ProductsController::class, 'massDelete']);
Route::post('products/products:mass-patch', [ProductsController::class, 'massPatch']);
Route::post('products/products:mass-patch-by-query', [ProductsController::class, 'massPatchByQuery']);
Route::post('products/products:common-attributes', [ProductsController::class, 'commonAttributes']);
Route::get('products/products/{id}', [ProductsController::class, 'get']);
Route::put('products/products/{id}', [ProductsController::class, 'replace']);
Route::delete('products/products/{id}', [ProductsController::class, 'delete']);
Route::patch('products/products/{id}', [ProductsController::class, 'patch']);
Route::put('products/products/{id}/images', [ProductsController::class, 'replaceImages']);
Route::patch('products/products/{id}/images', [ProductsController::class, 'patchImages']);
Route::post('products/products/{id}:upload-image', [ProductsController::class, 'uploadImage']);
Route::post('products/products/{id}:delete-image', [ProductsController::class, 'deleteImage']);
Route::put('products/products/{id}/attributes', [ProductsController::class, 'replaceAttributes']);
Route::delete('products/products/{id}/attributes', [ProductsController::class, 'deleteAttributes']);
Route::patch('products/products/{id}/attributes', [ProductsController::class, 'patchAttributes']);
Route::post('products/published:search', [PublishedProductsController::class, 'search']);
Route::get('products/published/{id}', [PublishedProductsController::class, 'get']);
Route::post('products/product-groups', [ProductGroupsController::class, 'create']);
Route::get('products/product-groups/{id}', [ProductGroupsController::class, 'get']);
Route::put('products/product-groups/{id}', [ProductGroupsController::class, 'replace']);
Route::delete('products/product-groups/{id}', [ProductGroupsController::class, 'delete']);
Route::patch('products/product-groups/{id}', [ProductGroupsController::class, 'patch']);
Route::post('products/product-groups/{id}:bind-products', [ProductGroupsController::class, 'bindProducts']);
Route::post('products/product-groups:mass-delete', [ProductGroupsController::class, 'massDelete']);
Route::post('products/product-groups:search', [ProductGroupsController::class, 'search']);
Route::post('products/product-groups:search-one', [ProductGroupsController::class, 'searchOne']);
Route::post('products/product-events:search', [ProductEventsController::class, 'search']);
Route::post('categories/categories', [CategoriesController::class, 'create']);
Route::get('categories/categories/{id}', [CategoriesController::class, 'get']);
Route::put('categories/categories/{id}', [CategoriesController::class, 'replace']);
Route::delete('categories/categories/{id}', [CategoriesController::class, 'delete']);
Route::patch('categories/categories/{id}', [CategoriesController::class, 'patch']);
Route::post('categories/categories/{id}:bind-properties', [CategoriesController::class, 'bindProperties']);
Route::post('categories/categories:mass-delete', [CategoriesController::class, 'massDelete']);
Route::post('categories/categories:search', [CategoriesController::class, 'search']);
Route::post('categories/categories:tree', [CategoriesController::class, 'tree']);
Route::post('categories/categories:actualize', [CategoriesController::class, 'actualize']);
Route::post('categories/actual-category-properties:search', [ActualCategoryPropertiesController::class, 'search']);
Route::post('categories/properties', [PropertiesController::class, 'create']);
Route::get('categories/properties/{id}', [PropertiesController::class, 'get']);
Route::put('categories/properties/{id}', [PropertiesController::class, 'replace']);
Route::delete('categories/properties/{id}', [PropertiesController::class, 'delete']);
Route::patch('categories/properties/{id}', [PropertiesController::class, 'patch']);
Route::post('categories/properties:mass-delete', [PropertiesController::class, 'massDelete']);
Route::post('categories/properties:search', [PropertiesController::class, 'search']);
Route::post('categories/properties/{id}:add-directory', [DirectoryValuesController::class, 'create']);
Route::post('categories/properties/{id}:add-directories', [DirectoryValuesController::class, 'massCreate']);
Route::post('categories/properties/directory:preload-image', [DirectoryValuesController::class, 'preloadImage']);
Route::post('categories/properties/directory:preload-file', [DirectoryValuesController::class, 'preloadFile']);
Route::get('categories/properties/directory/{id}', [DirectoryValuesController::class, 'get']);
Route::put('categories/properties/directory/{id}', [DirectoryValuesController::class, 'replace']);
Route::delete('categories/properties/directory/{id}', [DirectoryValuesController::class, 'delete']);
Route::patch('categories/properties/directory/{id}', [DirectoryValuesController::class, 'patch']);
Route::post('categories/properties/directory:search', [DirectoryValuesController::class, 'search']);
Route::post('classifiers/brands', [BrandsController::class, 'create']);
Route::get('classifiers/brands/{id}', [BrandsController::class, 'get']);
Route::put('classifiers/brands/{id}', [BrandsController::class, 'replace']);
Route::delete('classifiers/brands/{id}', [BrandsController::class, 'delete']);
Route::patch('classifiers/brands/{id}', [BrandsController::class, 'patch']);
Route::post('classifiers/brands:search', [BrandsController::class, 'search']);
Route::post('classifiers/brands:mass-delete', [BrandsController::class, 'massDelete']);
Route::post('classifiers/brands/{id}:upload-image', [BrandsController::class, 'uploadImage']);
Route::post('classifiers/brands/{id}:delete-image', [BrandsController::class, 'deleteImage']);
Route::post('classifiers/brands:preload-image', [BrandsController::class, 'preloadImage']);
Route::post('imports/products', [ProductImportsController::class, 'create']);
Route::post('imports/products:preload-file', [ProductImportsController::class, 'preloadFile']);
Route::get('imports/products/{id}', [ProductImportsController::class, 'get']);
Route::post('imports/products:search', [ProductImportsController::class, 'search']);
Route::post('imports/product-warnings:search', [ProductImportWarningsController::class, 'search']);
Route::post('support/temp-files:search', [TempFilesController::class, 'search']);
Route::post('common/bulk-operations:search', [BulkOperationsController::class, 'search']);
Route::post('common/failed-jobs:search', [FailedJobsController::class, 'search']);
